#pragma once
#include "grouppopuplist.h"

class Group 
{
public:
	Group();
	~Group(void);

	void DeepRefresh(int groupId);
	void ShallowRefresh();
	void OnCustomNotify(int id, Notification& n);

	GroupRecord record;
	LocationRecord lrecord;

	float idletime; // in minutes

	GroupPopupList popup;// the active events for this group
	ListItem * item;
	int editing; // this group is in the edit list
	int checked;
};